
package de.ivu.elect.business.niederschrift.entity;

import java.util.Collections;
import java.util.Comparator;

import de.ivu.elect.util.NullComparator;

public class NiederschriftStatusAenderungByZeitstempelComparator implements Comparator<NiederschriftStatusAenderung> {

  private static final Comparator<Object> NULL_COMPARATOR = NullComparator.NULL_BEFORE_NON_NULL_COMPARATOR;

  public static final Comparator<NiederschriftStatusAenderung> ASCENDING = new NiederschriftStatusAenderungByZeitstempelComparator();

  public static final Comparator<NiederschriftStatusAenderung> DESCENDING = Collections.reverseOrder(ASCENDING);

  public NiederschriftStatusAenderungByZeitstempelComparator() {
    super();
  }

  @Override
  public int compare(NiederschriftStatusAenderung one, NiederschriftStatusAenderung another) {
    if (one == null || another == null) {
      return NULL_COMPARATOR.compare(one, another);
    }

    if (one.getZeitstempel() == null || another.getZeitstempel() == null) {
      return NULL_COMPARATOR.compare(one.getZeitstempel(), another.getZeitstempel());
    }

    return one.getZeitstempel().compareTo(another.getZeitstempel());
  }
}
